Bug 325831 - fenced can not support more than 4 fence device in one fence method.
fenced can not support more than 4 fence device in one fence method.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 01:46 EDT by Zhenyong(Jerry) Jiang
Modified: 2013-07-28 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 12:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhenyong(Jerry) Jiang 2007-10-10 01:46:21 EDT
Description of problem:

When I add 8 fence devices to my cluster, the fenced daemon can not recognize
the last four fence devices.

I found it was an limited in the fenced/agent.c

MAX_DEVICE=4

I think this patch can fix it.

--- fence-1.32.1/fenced/agent.c 2005-06-08 00:00:27.000000000 +0800
+++ fence-1.32.customer/fenced/agent.c  2007-10-10 13:39:48.000000000 +0800
@@ -24,7 +24,7 @@
 #include "ccs.h"
 
 #define MAX_METHODS            8
-#define MAX_DEVICES            4
+#define MAX_DEVICES            16
 #define MAX_AGENT_ARGS_LEN     512
 
 #define METHOD_NAME_PATH       
"/cluster/clusternodes/clusternode[@name=\"%s\"]/fence/method[%d]/@name"

 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Feist 2009-06-10 12:14:21 EDT
This has been fixed by the fix to bz#284701 where MAX_DEVICES was bumped to 8.

Fixed in fence-1.32.63-1 and beyond.

Note You need to log in before you can comment on or make changes to this bug.